# QVM: Quaternions, Vectors, Matrices

### boost/qvm/deduce_vec.hpp

### Synopsis:

#include <boost/qvm/deduce_vec.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <
                class V,
                int Dim=vec_traits<Vector>::dim>
            struct deduce_vec
            {
                typedef /*unspecified*/ type;
            };

            template <class A,class B,int Dim>
            struct deduce_vec2
            {
                typedef /*unspecified*/ type;
            };
        }
    }

See also: deduce_vec | deduce_vec2